# Media title Length
## CONTENTS OF THIS FILE

* Introduction
* Requirements
* Recommended modules
* Installation
* Configuration


## INTRODUCTION


The Media Title Length allows you to control the media name field length.

## REQUIREMENTS

This module requires no modules outside of Drupal core.

## INSTALLATION

1. Install as you would normally install a contributed Drupal module. See:
https://www.drupal.org/docs/8/extending-drupal-8/installing-drupal-8-modules
for further information.

2. Navigate to http://example.com/admin/modules. Enable Media title length.
3. Navigate to http://example.com/admin/mtl/config.
Set and control your media title length.


## CONFIGURATION

After the installation:

1. Navigate to
administer >> configuration >> media >> media title length settings

2. Set media title length.

3. Save & increase title length.
4. Run this command.
>> describe media_field_data;

The name field type length must be changed
>> name                          | varchar(1000)

## MAINTAINERS

* Mohammad Fayoumi (Mohammad-Fayoumi) - https://www.drupal.org/u/mohammad-fayoumi
* Development sponsored by Vardot - https://www.drupal.org/vardot
